## AgsLv2WorkerManager

AgsLv2WorkerManager — manage workers

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_WORKER_MANAGER_GET_OBJ_MUTEX()
GObject * | ags_lv2_worker_manager_pull_worker ()
AgsLv2WorkerManager * | ags_lv2_worker_manager_get_instance ()
AgsLv2WorkerManager * | ags_lv2_worker_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2WorkerManager

## Includes

    #include <ags/plugin/ags_lv2_worker_manager.h>

## Description

The AgsLv2WorkerManager tracks your workers.

## Functions

### AGS_LV2_WORKER_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LV2_WORKER_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsLv2WorkerManager *) obj)->obj_mutex))

### ags_lv2_worker_manager_pull_worker ()

    GObject *
    ags_lv2_worker_manager_pull_worker (AgsLv2WorkerManager *worker_manager);

Pull worker.

#### Parameters

worker_manager | the AgsLv2WorkerManager |

#### Returns

the AgsWorkerThread.

[transfer full]

Since: 3.0.0

### ags_lv2_worker_manager_get_instance ()

    AgsLv2WorkerManager *
    ags_lv2_worker_manager_get_instance ();

Singleton function to optain the id manager instance.

#### Returns

an instance of AgsLv2WorkerManager.

[transfer none]

Since: 3.0.0

### ags_lv2_worker_manager_new ()

    AgsLv2WorkerManager *
    ags_lv2_worker_manager_new ();

Instantiate a id manager.

#### Returns

a new AgsLv2WorkerManager

Since: 3.0.0